package com.wecloud.im.core.exception;

import com.wecloud.im.core.common.api.ApiCode;
import com.wecloud.im.core.common.exception.SpringBootPlusException;

/**
 * 验证码校验异常
 *
 * @author geekidea
 * @date 2018-11-08
 */
public class VerificationCodeException extends SpringBootPlusException {
    private static final long serialVersionUID = -2640690119865434398L;

    public VerificationCodeException(String message) {
        super(message);
    }

    public VerificationCodeException(Integer errorCode, String message) {
        super(errorCode, message);
    }

    public VerificationCodeException(ApiCode apiCode) {
        super(apiCode);
    }
}
